# Class ELManager

java.lang.Object
javax.el.ELManager

public class ELManager extends Object

Since:
  EL 3.0

## Constructor Summary

Constructors
Constructor
Description
`ELManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addBeanNameResolver(BeanNameResolver beanNameResolver)`
`void`
`addELResolver(ELResolver resolver)`
`void`
`addEvaluationListener(EvaluationListener listener)`
`Object`
`defineBean(String name, Object bean)`
`StandardELContext`
`getELContext()`
`static ExpressionFactory`
`getExpressionFactory()`
`void`
`importClass(String className)`
`void`
`importPackage(String packageName)`
`void`
`importStatic(String staticMemberName)`
`void`
`mapFunction(String prefix, String function, Method method)`
`ELContext`
`setELContext(ELContext context)`
`void`
`setVariable(String variable, ValueExpression expression)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ELManager

public ELManager()

## Method Details

### getExpressionFactory

public static ExpressionFactory getExpressionFactory()

### getELContext

public StandardELContext getELContext()

### setELContext

public ELContext setELContext(ELContext context)

### addBeanNameResolver

public void addBeanNameResolver(BeanNameResolver beanNameResolver)

### addELResolver

public void addELResolver(ELResolver resolver)

### mapFunction

public void mapFunction(String prefix, String function, Method method)

### setVariable

public void setVariable(String variable, ValueExpression expression)

### importStatic

public void importStatic(String staticMemberName) throws ELException

Throws:
  `ELException`

### importClass

public void importClass(String className) throws ELException

Throws:
  `ELException`

### importPackage

public void importPackage(String packageName)

### defineBean

public Object defineBean(String name, Object bean)

### addEvaluationListener

public void addEvaluationListener(EvaluationListener listener)